import { Rule } from "./Rule";
import { ValidationContext } from "../validation/ValidationContext";
import { SendVoteorder } from "../protocol/SendVoteorder";
export declare class VotersRule extends Rule {
    rule: string;
    usernames: string[];
    mode: VotersRule.Mode;
    constructor(mode: VotersRule.Mode, usernames: string[]);
    type(): Rule.Type;
    validate(voteorder: SendVoteorder, context: ValidationContext): Promise<void>;
    validateRuleObject(unprototypedObj: any): void;
    getDescription(): string;
}
export declare namespace VotersRule {
    enum Mode {
        ONE = "one",
        NONE = "none",
        ANY = "any",
        ALL = "all"
    }
}
